//
//  Folder.swift
//  Browse
//
//  Created by Javier Cicchelli on 13/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

public struct Folder {
    
    // MARK: Properties
    
    public let id: String
    public let name: String
    
    // MARK: Initialisers
    
    public init(
        id: String,
        name: String
    ) {
        self.id = id
        self.name = name
    }
    
}

// MARK: - FileSystemIdIdentifiable

extension Folder: FileSystemItemIdentifiable {}

// MARK: - Equatable

extension Folder: Equatable {}
